JackTrip: RtApiDummy Class Reference

JackTrip

Public Member Functions | List of all members
RtApiDummy Class Reference

`#include <RtAudio.h>`

Inheritance diagram for RtApiDummy:
[legend]
Collaboration diagram for RtApiDummy:
[legend]

## Public Member Functions
| RtApiDummy ()
RtAudio::Api | getCurrentApi (void)
unsigned int | getDeviceCount (void)
RtAudio::DeviceInfo | getDeviceInfo (unsigned int device)
void | closeStream (void)
void | startStream (void)
void | stopStream (void)
void | abortStream (void)
Public Member Functions inherited from RtApi
| RtApi ()
virtual | ~RtApi ()
virtual unsigned int | getDefaultInputDevice (void)
virtual unsigned int | getDefaultOutputDevice (void)
void | openStream (RtAudio::StreamParameters *outputParameters, RtAudio::StreamParameters *inputParameters, RtAudioFormat format, unsigned int sampleRate, unsigned int *bufferFrames, RtAudioCallback callback, void *userData, RtAudio::StreamOptions *options)
long | getStreamLatency (void)
unsigned int | getStreamSampleRate (void)
virtual double | getStreamTime (void)
bool | isStreamOpen (void) const
bool | isStreamRunning (void) const
void | showWarnings (bool value)

## Additional Inherited Members
Protected Types inherited from RtApi
enum | { FAILURE, SUCCESS }
enum | StreamState { STREAM_STOPPED, STREAM_STOPPING, STREAM_RUNNING, STREAM_CLOSED = -50 }
enum | StreamMode { OUTPUT, INPUT, DUPLEX, UNINITIALIZED = -75 }
typedef signed short | Int16
typedef signed int | Int32
typedef float | Float32
typedef double | Float64
Protected Member Functions inherited from RtApi
void | tickStreamTime (void)
| A protected function used to increment the stream time. More...
void | clearStreamInfo ()
| Protected common method to clear an RtApiStream structure. More...
void | verifyStream (void)
void | error (RtError::Type type)
| Protected common error method to allow global control over error handling. More...
void | convertBuffer (char *outBuffer, char *inBuffer, ConvertInfo &info)
void | byteSwapBuffer (char *buffer, unsigned int samples, RtAudioFormat format)
| Protected common method used to perform byte-swapping on buffers. More...
unsigned int | formatBytes (RtAudioFormat format)
| Protected common method that returns the number of bytes for a given format. More...
void | setConvertInfo (StreamMode mode, unsigned int firstChannel)
| Protected common method that sets up the parameters for buffer conversion. More...
Protected Attributes inherited from RtApi
std::ostringstream | errorStream_
std::string | errorText_
bool | showWarnings_
RtApiStream | stream_
Static Protected Attributes inherited from RtApi
static const unsigned int | MAX_SAMPLE_RATES = 14
static const unsigned int | SAMPLE_RATES []

## Constructor & Destructor Documentation

## ◆ RtApiDummy()

RtApiDummy::RtApiDummy | ( |  | ) |
| inline

## Member Function Documentation

## ◆ abortStream()

void RtApiDummy::abortStream | ( | void |  | ) |
| inlinevirtual

Implements RtApi.

## ◆ closeStream()

void RtApiDummy::closeStream | ( | void |  | ) |
| inlinevirtual

Reimplemented from RtApi.

## ◆ getCurrentApi()

RtAudio::Api RtApiDummy::getCurrentApi | ( | void |  | ) |
| inlinevirtual

Implements RtApi.

## ◆ getDeviceCount()

unsigned int RtApiDummy::getDeviceCount | ( | void |  | ) |
| inlinevirtual

Implements RtApi.

## ◆ getDeviceInfo()

RtAudio::DeviceInfo RtApiDummy::getDeviceInfo | ( | unsigned int | device | ) |
| inlinevirtual

Implements RtApi.

## ◆ startStream()

void RtApiDummy::startStream | ( | void |  | ) |
| inlinevirtual

Implements RtApi.

## ◆ stopStream()

void RtApiDummy::stopStream | ( | void |  | ) |
| inlinevirtual

Implements RtApi.

The documentation for this class was generated from the following file:

- src/RtAudio.h